#
# spec file for package python-weblate-language-data
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname weblate-language-data
%define skip_python2 1
Name:           python-weblate-language-data
Version:        2024.3
Release:        1.1
Summary:        Language Data for Weblate
License:        MIT
URL:            https://github.com/WeblateOrg/language-data
Source0:        https://files.pythonhosted.org/packages/source/w/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module translate-toolkit >= 3.1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Contains several modules containing language definitions and Gettext
translations for them (in a way that they would be discovered by Django
when used as an Django application).

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/weblate_language_data

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/weblate_language_data
%{python_sitelib}/weblate_language_data-%{version}.dist-info

%changelog
* Sat Mar 16 2024 Dirk Müller <dmueller@suse.com>
- update to 2024.3:
  * translation updates
* Mon Feb 26 2024 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Add dependency on setuptools
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 2023.9:
  * translation updates
* Tue Dec 13 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2022.9
  * Setting version to 2022.9
  * Remove duplicate Dogri
  * Using dgo would be probably more correct, but CLDR and thus Android chose doi.
* Wed Nov  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version to 2022.8
  * Translated using Weblate (Punjabi)
  * chore: Updates from submodules
  * chore: Updates from submodules
  * chore: Bump modules/iso-codes from `e45048c` to `abc9d4f`
  * chore: Bump modules/cldr-to-gettext-plural-rules
  * chore: Bump modules/cldr-json from `0fd7b0b` to `f27f55f`
  * chore: Updates from submodules
  * chore: Bump modules/gettext from `7840858` to `349cf65`
  * Translated using Weblate (Latvian)
  * [pre-commit.ci] pre-commit autoupdate
  * Translated using Weblate (Punjabi)
  * Translated using Weblate (Punjabi (Pakistan))
  * Translated using Weblate (Latvian)
  * Translated using Weblate (French)
  * Added translation using Weblate (English (Old))
  * Sync with WeblateOrg/meta
  * Translated using Weblate (Punjabi (Pakistan))
  * Sync with WeblateOrg/meta
  * Translated using Weblate (Punjabi (Pakistan))
  * Added translation using Weblate (Punjabi (Pakistan))
  * Translated using Weblate (Punjabi)
  * Translated using Weblate (Thai)
  * Translated using Weblate (Portuguese (Portugal))
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2022.7
  * no upstream changelog
* Thu Jul  1 2021 Markéta Machová <mmachova@suse.com>
- Update to version 2021.5
  * few added languages and aliases
  * Update from iso-codes
* Thu Mar 11 2021 Markéta Machová <mmachova@suse.com>
- update to version 2021.3
  * Fix missing plurals handling
  * Remove location from the PO files
  * Improve language names
  * Prefer inverted name when adding language
* Thu Feb 11 2021 Matthias Fehring <buschmann23@opensuse.org>
- update to version 2020.11
  * no changelog available
* Thu Feb 11 2021 Matthias Fehring <buschmann23@opensuse.org>
- initial package version 2020.10
